import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetTimeZoneForViewDto, TimeZoneDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewTimeZoneModal',
    templateUrl: './view-timeZone-modal.component.html'
})
export class ViewTimeZoneModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetTimeZoneForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetTimeZoneForViewDto();
        this.item.timeZone = new TimeZoneDto();
    }

    show(item: GetTimeZoneForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
